rem
	bbdoc: Type description
end rem

Import "TCoordinate.bmx"

Type TGameElement Abstract
	Field pos:TCoordinate
	Field oldPos:TCoordinate
	Field angle:Int
	Field oldAngle:Int
	Field dead:Int = false
	
	Method Update(fixedRate:Float) Abstract
	
	Method Render(tween:Float) Abstract
	
	Function Tween:Float(oldpos:Float, newpos:Float, tween:Float)
		'drawing pos = newpos * tween + oldpos * ( 1.0 - tween)
		Local tweenpos:Float
		tweenpos = newpos * tween + oldpos * (1.0 - tween)
		Return tweenpos
	End Function
End Type
